package com.steerinfo.dil.model;

import com.baomidou.mybatisplus.annotation.TableField;
import com.steerinfo.framework.model.IBasePO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

@ApiModel(value="车皮装车作业")
public class TmstrainLoadingResult implements IBasePO<BigDecimal> {
    /**
     * 主键ID(RESULT_ID,DECIMAL,0)
     */
    @ApiModelProperty(value="主键ID",required=true)
    private BigDecimal resultId;

    /**
     * 采购订单ID/发运计划ID(PURCHASE_ORDER_RAIL_PLAN_ID,DECIMAL,0)
     */
    @ApiModelProperty(value="采购订单ID/发运计划ID",required=false)
    private BigDecimal purchaseOrderRailPlanId;

    /**
     * 车皮号(RESULT_WAGON_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="车皮号",required=false)
    private String resultWagonNo;

    /**
     * 车皮标重(RESULT_BILLABLE_TONNAGE,DECIMAL,0)
     */
    @ApiModelProperty(value="车皮标重",required=false)
    private BigDecimal resultBillableTonnage;

    /**
     * 是否清场（0：未清场；1：清场）(RESULT_ISCLEAR,VARCHAR,20)
     */
    @ApiModelProperty(value="是否清场（0：未清场；1：清场）",required=false)
    private String resultIsclear;

    /**
     * 运力ID（汽车车牌号）(CAPACITY_ID,DECIMAL,0)
     */
    @ApiModelProperty(value="运力ID（汽车车牌号）",required=false)
    private BigDecimal capacityId;

    /**
     * 物资ID(MATERIAL_ID,DECIMAL,0)
     */
    @ApiModelProperty(value="物资ID",required=false)
    private BigDecimal materialId;

    /**
     * 钢材件数(RESULT_MATERIAL_NUMBER,DECIMAL,0)
     */
    @ApiModelProperty(value="钢材件数",required=false)
    private BigDecimal resultMaterialNumber;

    /**
     * 钢材理重(RESULT_MATERIAL_THEORYWEIGHT,DECIMAL,0)
     */
    @ApiModelProperty(value="钢材理重",required=false)
    private BigDecimal resultMaterialTheoryweight;

    /**
     * 批次ID(BATCH_ID,DECIMAL,0)
     */
    @ApiModelProperty(value="批次ID",required=false)
    private BigDecimal batchId;

    /**
     * 班别（0:白班，1：夜班）(RESULT_CLASS,VARCHAR,20)
     */
    @ApiModelProperty(value="班别（0:白班，1：夜班）",required=false)
    private String resultClass;

    /**
     * 装车日期(RESULT_LOADING_DATE,TIMESTAMP,7)
     */
    @ApiModelProperty(value="装车日期",required=false)
    private Date resultLoadingDate;

    /**
     * 备注(RESULT_REMARKS,VARCHAR,100)
     */
    @ApiModelProperty(value="备注",required=false)
    private String resultRemarks;

    /**
     * 记录创建人(INSERT_USERNAME,VARCHAR,20)
     */
    @ApiModelProperty(value="记录创建人",required=false)
    private String insertUsername;

    /**
     * 记录创建时间(INSERT_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="记录创建时间",required=false)
    private Date insertTime;

    /**
     * 记录修改人(UPDATE_USERNAME,VARCHAR,20)
     */
    @ApiModelProperty(value="记录修改人",required=false)
    private String updateUsername;

    /**
     * 记录修改时间(UPDATE_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="记录修改时间",required=false)
    private Date updateTime;

    /**
     * 记录创建或修改备注(INSERT_UPDATE_REMARK,VARCHAR,100)
     */
    @ApiModelProperty(value="记录创建或修改备注",required=false)
    private String insertUpdateRemark;

    /**
     * 是否删除（0:是, 1:已装车  2：已卸车）(DELETED,DECIMAL,0)
     */
    @ApiModelProperty(value="是否删除（0:是, 1:已装车  2：已卸车）",required=false)
    private BigDecimal deleted;

    /**
     * 发站ID(SEND_STATION_ID,DECIMAL,0)
     */
    @ApiModelProperty(value="发站ID",required=false)
    private BigDecimal sendStationId;

    /**
     * 到站ID(ARRIVAL_STATION_ID,DECIMAL,0)
     */
    @ApiModelProperty(value="到站ID",required=false)
    private BigDecimal arrivalStationId;

    /**
     * 装车类型：1：采购进口矿（万州港-达州站/万州港-老区轨道衡）2：采购进口矿（海港-老区轨道衡）3：采购国产矿 4：内转(RESULT_TYPE,DECIMAL,0)
     */
    @ApiModelProperty(value="装车类型：1：采购进口矿（万州港-达州站/万州港-老区轨道衡）2：采购进口矿（海港-老区轨道衡）3：采购国产矿 4：内转",required=false)
    private BigDecimal resultType;

    /**
     * 轨道衡ID（在汽车衡表中）(TRAIN_CALCULATE_ID,DECIMAL,0)
     */
    @ApiModelProperty(value="轨道衡ID（在汽车衡表中）",required=false)
    private BigDecimal trainCalculateId;

    /**
     * 卸货点ID(UNLOADING_POINT_ID,DECIMAL,0)
     */
    @ApiModelProperty(value="卸货点ID",required=false)
    private BigDecimal unloadingPointId;

    /**
     * 发货单位ID(SEND_UNIT_ID,DECIMAL,0)
     */
    @ApiModelProperty(value="发货单位ID",required=false)
    private BigDecimal sendUnitId;

    @TableField(exist = false)
    @ApiModelProperty(value = "车皮号列表")
    private List<String> wagonNoList;

    public List<String> getWagonNoList() {
        return wagonNoList;
    }

    public void setWagonNoList(List<String> wagonNoList) {
        this.wagonNoList = wagonNoList;
    }

    private static final long serialVersionUID = 1L;

    @Override
    public BigDecimal getId() {
        return this.resultId;
    }

    @Override
    public void setId(BigDecimal resultId) {
        this.resultId = resultId;
    }

    public BigDecimal getResultId() {
        return resultId;
    }

    public void setResultId(BigDecimal resultId) {
        this.resultId = resultId;
    }

    public BigDecimal getPurchaseOrderRailPlanId() {
        return purchaseOrderRailPlanId;
    }

    public void setPurchaseOrderRailPlanId(BigDecimal purchaseOrderRailPlanId) {
        this.purchaseOrderRailPlanId = purchaseOrderRailPlanId;
    }

    public String getResultWagonNo() {
        return resultWagonNo;
    }

    public void setResultWagonNo(String resultWagonNo) {
        this.resultWagonNo = resultWagonNo == null ? null : resultWagonNo.trim();
    }

    public BigDecimal getResultBillableTonnage() {
        return resultBillableTonnage;
    }

    public void setResultBillableTonnage(BigDecimal resultBillableTonnage) {
        this.resultBillableTonnage = resultBillableTonnage;
    }

    public String getResultIsclear() {
        return resultIsclear;
    }

    public void setResultIsclear(String resultIsclear) {
        this.resultIsclear = resultIsclear == null ? null : resultIsclear.trim();
    }

    public BigDecimal getCapacityId() {
        return capacityId;
    }

    public void setCapacityId(BigDecimal capacityId) {
        this.capacityId = capacityId;
    }

    public BigDecimal getMaterialId() {
        return materialId;
    }

    public void setMaterialId(BigDecimal materialId) {
        this.materialId = materialId;
    }

    public BigDecimal getResultMaterialNumber() {
        return resultMaterialNumber;
    }

    public void setResultMaterialNumber(BigDecimal resultMaterialNumber) {
        this.resultMaterialNumber = resultMaterialNumber;
    }

    public BigDecimal getResultMaterialTheoryweight() {
        return resultMaterialTheoryweight;
    }

    public void setResultMaterialTheoryweight(BigDecimal resultMaterialTheoryweight) {
        this.resultMaterialTheoryweight = resultMaterialTheoryweight;
    }

    public BigDecimal getBatchId() {
        return batchId;
    }

    public void setBatchId(BigDecimal batchId) {
        this.batchId = batchId;
    }

    public String getResultClass() {
        return resultClass;
    }

    public void setResultClass(String resultClass) {
        this.resultClass = resultClass == null ? null : resultClass.trim();
    }

    public Date getResultLoadingDate() {
        return resultLoadingDate;
    }

    public void setResultLoadingDate(Date resultLoadingDate) {
        this.resultLoadingDate = resultLoadingDate;
    }

    public String getResultRemarks() {
        return resultRemarks;
    }

    public void setResultRemarks(String resultRemarks) {
        this.resultRemarks = resultRemarks == null ? null : resultRemarks.trim();
    }

    public String getInsertUsername() {
        return insertUsername;
    }

    public void setInsertUsername(String insertUsername) {
        this.insertUsername = insertUsername == null ? null : insertUsername.trim();
    }

    public Date getInsertTime() {
        return insertTime;
    }

    public void setInsertTime(Date insertTime) {
        this.insertTime = insertTime;
    }

    public String getUpdateUsername() {
        return updateUsername;
    }

    public void setUpdateUsername(String updateUsername) {
        this.updateUsername = updateUsername == null ? null : updateUsername.trim();
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getInsertUpdateRemark() {
        return insertUpdateRemark;
    }

    public void setInsertUpdateRemark(String insertUpdateRemark) {
        this.insertUpdateRemark = insertUpdateRemark == null ? null : insertUpdateRemark.trim();
    }

    public BigDecimal getDeleted() {
        return deleted;
    }

    public void setDeleted(BigDecimal deleted) {
        this.deleted = deleted;
    }

    public BigDecimal getSendStationId() {
        return sendStationId;
    }

    public void setSendStationId(BigDecimal sendStationId) {
        this.sendStationId = sendStationId;
    }

    public BigDecimal getArrivalStationId() {
        return arrivalStationId;
    }

    public void setArrivalStationId(BigDecimal arrivalStationId) {
        this.arrivalStationId = arrivalStationId;
    }

    public BigDecimal getResultType() {
        return resultType;
    }

    public void setResultType(BigDecimal resultType) {
        this.resultType = resultType;
    }

    public BigDecimal getTrainCalculateId() {
        return trainCalculateId;
    }

    public void setTrainCalculateId(BigDecimal trainCalculateId) {
        this.trainCalculateId = trainCalculateId;
    }

    public BigDecimal getUnloadingPointId() {
        return unloadingPointId;
    }

    public void setUnloadingPointId(BigDecimal unloadingPointId) {
        this.unloadingPointId = unloadingPointId;
    }

    public BigDecimal getSendUnitId() {
        return sendUnitId;
    }

    public void setSendUnitId(BigDecimal sendUnitId) {
        this.sendUnitId = sendUnitId;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", resultId=").append(resultId);
        sb.append(", purchaseOrderRailPlanId=").append(purchaseOrderRailPlanId);
        sb.append(", resultWagonNo=").append(resultWagonNo);
        sb.append(", resultBillableTonnage=").append(resultBillableTonnage);
        sb.append(", resultIsclear=").append(resultIsclear);
        sb.append(", capacityId=").append(capacityId);
        sb.append(", materialId=").append(materialId);
        sb.append(", resultMaterialNumber=").append(resultMaterialNumber);
        sb.append(", resultMaterialTheoryweight=").append(resultMaterialTheoryweight);
        sb.append(", batchId=").append(batchId);
        sb.append(", resultClass=").append(resultClass);
        sb.append(", resultLoadingDate=").append(resultLoadingDate);
        sb.append(", resultRemarks=").append(resultRemarks);
        sb.append(", insertUsername=").append(insertUsername);
        sb.append(", insertTime=").append(insertTime);
        sb.append(", updateUsername=").append(updateUsername);
        sb.append(", updateTime=").append(updateTime);
        sb.append(", insertUpdateRemark=").append(insertUpdateRemark);
        sb.append(", deleted=").append(deleted);
        sb.append(", sendStationId=").append(sendStationId);
        sb.append(", arrivalStationId=").append(arrivalStationId);
        sb.append(", resultType=").append(resultType);
        sb.append(", trainCalculateId=").append(trainCalculateId);
        sb.append(", unloadingPointId=").append(unloadingPointId);
        sb.append(", sendUnitId=").append(sendUnitId);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}